* {
    font-family: Helvetica;
    scroll-behavior: smooth;
    max-width: 100vw;
    overflow-x: clip;
}

body {
    margin: 0
}

#map-container {
    margin: 0;
    display: flex;
    justify-content: center;
    position: relative;
}

#internshipMap {
    height: 100vh;
    width: 100vw;
}

.cityStatsDiv {
    /* margin: calc(10px + 2vw);    */
    position: absolute;
    padding: 0 calc(10px + 2vw);
    border-radius: calc(20px + 2vw);
    max-height: 30%;
    max-width: 80%;
    min-width: 40%;
    background-color: rgba(255, 255, 255, 0.805);
    overflow-y: scroll;
}

#cityStats {
    top: 1%;
}

#cityStatsLower {
    bottom: 1%;
}

#cityStats #exitBtn {
    margin: 0;
    font-size: calc(20px + 2vw);
    width: calc(50px + 2vw);
    height: calc(40px + 2vw);
    /* background-color: rgb(225, 119, 119); */
    text-align: center;
    position: absolute;
    right: calc(15px + 1vw);
    top: calc(15px + 1vw);
    font-weight: 100;
    border: 1px solid black;
    border-radius: 50%;
    padding-top: 10px;
}

.state {
    fill: grey;
    stroke: white;
    stroke-width: 0.5;
    transition-duration: 0.25s;
}

.tooltip {
    font-size: calc(16px + 0.3vw);
    background-color: white;
    border-radius: 15px;
    padding: 5px;
}

.hidden {
    filter: opacity(0);
    display: none !important;
}

svg {
    background-color: rgb(0, 182, 182);
}

#top-bar {
    text-align: left;
    position: relative;
    /* background-color: rgb(220, 220, 220); */
    background-color: rgb(24, 124, 124);
    width: 100%;
    z-index: 9;
}

.filterBtn {
    border: none;
    /* position: relative; */
    color: white;
    background-color: rgb(168, 168, 168);
    font-size: calc(10px + 1vw);
    margin: 5px;
}

.filterBtn:hover {
    background-color: gray;
}

.dropTop:hover .dropDown{
    display: block;
}

.dropTop img {
    max-height: calc(5px + 0.5vw);
    padding: calc(0.3vw);
    filter: invert(1)
}

.dropTop:hover{
    background-color: rgb(29, 228, 211) !important;
}

.dropDown {
    display: none;
    position: absolute;
    z-index: 9999;
    overflow-x: visible;
    background-color: rgb(168, 168, 168);
}
.dropDown div {
    overflow-x: visible !important;
}
.dropDown div:hover{
    background-color: gray;
}

.goToChartBtn {
    border: none;
    color: white;
    font-size: 20px;
    margin: 30px;
    display: inline-block;
    text-align: center;
    width: 100%;
}

.selected {
    background-color: rgb(29, 228, 211);
}

#title {
    position: absolute;
    text-align: center;
    color: white;
    font-size: calc(16px + 1vw);
    margin: 0;
    top: 2vh;
    background-color: rgba(112, 112, 112, 0.732);
    padding: 5px;
    border-radius: 15px;
}

#clickAdvice {
    position: absolute;
    width: 100%;
    text-align: center;
    font-size: calc(16px + 0.3vw);
}

#clickAdvice span{
    background-color: rgba(112, 112, 112, 0.732);
    padding: 5px;
    border-radius: 15px;
    color: white;
    text-decoration: none;
}

#quickStats {
    position: absolute;
    bottom: calc(5vw);
    right: 0;
    display: inline-block;
    color: white;
    /* max-width: calc(150px + 3.7vw); */
    padding-right: 10px;
    font-size: calc(16px + 0.1vw);
    transition-duration: 1s;
}

#legend {
    position: absolute;
    bottom: calc(5vw);
    left: 20px;
    color: white;
    transition-duration: 1s;
}

#legend div {
    display: inline-block;
    --size: calc(12px + 0.5vw);
    width: calc(var(--size) * 4.5);
    height: calc(var(--size) * 4.5);
    border: 2px solid white;
    background: linear-gradient(rgb(255, 80, 80), rgb(0, 80, 80));
}

#legend p {
    display: block;
    font-size: calc(16px + 0.3vw);
    text-align: center;
    font-weight: 100;
    margin: 0;
    margin-left: -2px;
}

#labelMost {
    position: relative;
    transform: translateY(-100px);
}

#quickStats p {
    margin: 0;
    font-size: inherit;
}

#quickStats b {
    text-align: center;
}

.padded {
    position: relative;
    z-index: 4;
    padding: calc(3vw + 20px);
    width: 100%;
}

.padded p{
    text-indent: calc(20px + 2vw);
    font-size: calc(16px + 0.7vw);
    /* margin: 5px; */
}

.centerText {
    text-align: center;
}

.textSection {
    display: inline-flex;
    min-height: 100vh;
    width: 100%;
    background-image: linear-gradient(rgba(255, 255, 255, 0.8), rgba(150, 255, 255, 0.8)), url(./Skyscrapers.jpeg);
    background-position: center;
    background-size: cover;
}

p span{
    /* background-color: lime; */
    text-decoration: underline;
    border-radius: 15px;
    padding: 1px;
    font-weight: bold;
}

.halfHeight {
    min-height: 50vh !important;
}

.halfHeight .padded p {
    text-indent: 0 !important;
}

/* .textSection img {
    position: absolute;
    width: 100%;
    height: 100%;
    min-height: inherit;
    object-fit: cover;
    z-index: 0;
    filter: opacity(0.3) grayscale(1);
} */

li{
    overflow-x: auto;
}

ul{
    list-style-type: disc;
    overflow-x: auto;
}

h1 {
    font-size: calc(20px + 2vw);
}
h2 {
    font-size: calc(20px + 1.5vw);
}

.goToChartBtn img {
    z-index: 999;
    filter: invert(1);
    border: none;
    color: white;
    --size: calc(50px + 2vw);
    width: var(--size);
    height: var(--size);
    transform: translateX(-50%);
}

a {
    color: inherit;
}